---
http_interactions:
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Aluno
    body:
      encoding: UTF-8
      string: resource=todos-alunos&oper=post&access_key=invalid&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC&instituicao_id=1
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '109'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 30 Apr 2018 21:31:30 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=1hnqgcb88ump9rbfhhd2rh3k74; expires=Tue, 01-May-2018 21:31:30 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '127'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: UTF-8
      string: '{"oper":"post","resource":"todos-alunos","msgs":[{"msg":"Chave de acesso
        inv\u00e1lida!","type":"error"}],"any_error_msg":true}'
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:01:23 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Aluno?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&oper=post&resource=todos-alunos&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: ASCII-8BIT
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '0'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Tue, 10 Jul 2018 17:10:37 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - PHPSESSID=d7g3ov29f9l03smvtnjoofuir6; path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate
      Pragma:
      - no-cache
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAA02NQQrDMAwEv2J08SWFQA+FfKIPaEsQiSiF2DKSdQghf69sKPQitLvS7AFcSGCCwlphACFlk4XcqbyyXnCzzOpJ0rfC9Dja4und3/Bp40i3Pq8cYmPEkH/6k8pGiXLFFUNBwcBBaDFRv/2nR8fXvbRSEmGB8zUA5n3uau6FVYzOL8PXAhiuAAAA
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:18:01 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&oper=post&resource=faltas-geral&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: ASCII-8BIT
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '0'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Tue, 10 Jul 2018 18:20:53 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - PHPSESSID=dol9iuha9ebda8cb19tp5c0ro4; path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate
      Pragma:
      - no-cache
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAyWMQQqDMBRErxL+xo0Fu6xXaYv8ylSEaML8RBDx7k3sbt48eIeECEovMViSVggLmSPK81Wf1G4TqL6YxSaT/nnUUewrd934cCtGmFXAnXNwLPwBXV7UbcpZN3jX/FNNqaQ91jbIQDnfrei6DxcNVzcx4/wBE/dahJUAAAA=
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:27:01 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&etapa=1&faltas=1&instituicao_id=1&oper=post&resource=faltas-geral&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: ASCII-8BIT
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '0'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Tue, 10 Jul 2018 18:23:14 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - PHPSESSID=nf572mdeos4fsmlb6i2dkufgi7; path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate
      Pragma:
      - no-cache
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MsQ2AMAwEVwmuYQEGYAmEkBVMGsCRPxQIZXccutedfS9pFqORsqJQTybQ26I42fkojCGJ8eHmRAKN89uG2+m3ob3x5iPqGXBHAbTz6/Lk1nDSENWlJ76eVczU1r/geUj9AIxIu+SAAAAA
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:29:22 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=invalid&etapa=1&faltas=1&instituicao_id=1&oper=post&resource=faltas-geral&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: ASCII-8BIT
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '0'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Tue, 10 Jul 2018 18:24:00 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - PHPSESSID=qvp5l2h9illo85isnj3agh0fs1; path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate
      Pragma:
      - no-cache
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MSwqEMBBErxJ7reBs3XoMZ5BGyw9k7NCdCCLe3eiuql7xTpIApYaCWKSSFCZJB+RlYh/ZqhnKPpO/zUZNdz4h03bhHW6E4wFm4tZt/6a6xsevIxf5H4/wWKAqStevJN6O/m39a4iacN3IQAbqfwAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:30:08 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=&etapa=1&faltas=1&instituicao_id=1&oper=post&resource=faltas-geral&secret_key=
    body:
      encoding: ASCII-8BIT
      string: ''
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (darwin18.0.0 x86_64) ruby/2.2.6p396
      Content-Length:
      - '0'
      Content-Type:
      - application/x-www-form-urlencoded
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx/1.14.0 (Ubuntu)
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - PHPSESSID=npgh2e7ddsuef61l97fam8bkuk; path=/
      - PHPSESSID=npgh2e7ddsuef61l97fam8bkuk; path=/
      Expires:
      - Thu, 19 Nov 1981 08
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - must-revalidate, no-cache, no-store, private
      - no-store, no-cache, must-revalidate
      Pragma:
      - no-cache
      - no-cache
      Date:
      - Tue, 19 Mar 2019 20:59:13 GMT
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MSwqEMBBErxJ7reBs3XoMZ5BGyw9k7NCdCCLe3eiuql7xTpIApYaCWKSSFCZJB+RlYh/ZqhnKPpO/zUZNdz4h03bhHW6E4wFm4tZt/6a6xsevIxf5H4/wWKAqStevJN6O/m39a4iacN3IQAbqfwAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:18:53 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=invalid&instituicao_id=1&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: UTF-8
      string: resource=faltas-geral&etapa=1&faltas=1&oper=post
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.4.10p364
      Content-Length:
      - '48'
      Content-Type:
      - application/x-www-form-urlencoded
      Host:
      - test.ieducar.com.br
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Sat, 25 Jun 2022 05:16:51 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Set-Cookie:
      - i_educar_session=zar8d8bJmGErgD17vQvy93b6qId6QKT91nFfCpGq; expires=Sat, 25-Jun-2022
        07:16:51 GMT; Max-Age=7200; path=/; httponly; samesite=lax
      X-Frame-Options:
      - SAMEORIGIN
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - 1; mode=block
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MSwqEMBBErxJ7reBs3XoMZ5BGyw9k7NCdCCLe3eiuql7xTpIApYaCWKSSFCZJB+RlYh/ZqhnKPpO/zUZNdz4h03bhHW6E4wFm4tZt/6a6xsevIxf5H4/wWKAqStevJN6O/m39a4iacN3IQAbqfwAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:01:02 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=&instituicao_id=1&secret_key=
    body:
      encoding: UTF-8
      string: resource=faltas-geral&etapa=1&faltas=1&oper=post
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.4.10p364
      Content-Length:
      - '48'
      Content-Type:
      - application/x-www-form-urlencoded
      Host:
      - test.ieducar.com.br
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Mon, 27 Jun 2022 19:50:53 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Set-Cookie:
      - i_educar_session=Koj7rBCmX4RYHoDE3VN2pJK9tj50nq5es4x3GAga; expires=Mon, 27-Jun-2022
        21:50:53 GMT; Max-Age=7200; path=/; httponly; samesite=lax
      X-Frame-Options:
      - SAMEORIGIN
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - 1; mode=block
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MSwqEMBBErxJ7reBs3XoMZ5BGyw9k7NCdCCLe3eiuql7xTpIApYaCWKSSFCZJB+RlYh/ZqhnKPpO/zUZNdz4h03bhHW6E4wFm4tZt/6a6xsevIxf5H4/wWKAqStevJN6O/m39a4iacN3IQAbqfwAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:29:03 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=&action=faltas-geral&instituicao_id=1&secret_key=
    body:
      encoding: UTF-8
      string: resource=faltas-geral&etapa=1&faltas=1&oper=post
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.6.6p146
      Content-Length:
      - '48'
      Content-Type:
      - application/x-www-form-urlencoded
      Host:
      - test.ieducar.com.br
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 24 Feb 2025 15:28:33 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Set-Cookie:
      - i_educar_session=KJvL3m4ACQQUMapWpdxuH8L1RSzQucKeqxEuSkTn; expires=Mon, 24
        Feb 2025 17:28:33 GMT; Max-Age=7200; path=/; secure; httponly; samesite=lax
      Content-Encoding:
      - gzip
      Strict-Transport-Security:
      - max-age=63072000
      Cf-Cache-Status:
      - DYNAMIC
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=AnUZYbOITaO6iH6V1XxbZJg63MSqc9oEHDTznxjbsxrEOdkGjKXLJ0fPHVbEaCNG4dlX7rsq9X%2BrrOC%2Fek6SdMkU1eEhtl7FuLB0DQ0XriDiRT%2FY4370t%2BpYNuq6vVmDPY7UxwUZ"}],"group":"cf-nel","max_age":604800}'
      Nel:
      - '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}'
      Expect-Ct:
      - max-age=86400, enforce
      Referrer-Policy:
      - same-origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
      Server:
      - cloudflare
      Cf-Ray:
      - 91707c6f8e7451f8-GRU
      Alt-Svc:
      - h3=":443"; ma=86400
      Server-Timing:
      - cfL4;desc="?proto=TCP&rtt=16898&min_rtt=16705&rtt_var=4869&sent=5&recv=7&lost=0&retrans=0&sent_bytes=2800&recv_bytes=986&delivery_rate=167544&cwnd=245&unsent_bytes=0&cid=2d347c3fd646d410&ts=836&x=0"
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MSwqEMBBErxJ7reBs3XoMZ5BGyw9k7NCdCCLe3eiuql7xTpIApYaCWKSSFCZJB+RlYh/ZqhnKPpO/zUZNdz4h03bhHW6E4wFm4tZt/6a6xsevIxf5H4/wWKAqStevJN6O/m39a4iacN3IQAbqfwAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 00:00:41 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=invalid&action=faltas-geral&instituicao_id=1&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: UTF-8
      string: resource=faltas-geral&etapa=1&faltas=1&oper=post
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.6.6p146
      Content-Length:
      - '48'
      Content-Type:
      - application/x-www-form-urlencoded
      Host:
      - test.ieducar.com.br
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 24 Feb 2025 15:28:36 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Set-Cookie:
      - i_educar_session=yefSQPfftJFTBAWR0Ld3Ss2lHStEWUL13paE6hSv; expires=Mon, 24
        Feb 2025 17:28:36 GMT; Max-Age=7200; path=/; secure; httponly; samesite=lax
      Content-Encoding:
      - gzip
      Strict-Transport-Security:
      - max-age=63072000
      Cf-Cache-Status:
      - DYNAMIC
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=PDuJNVqqE7umpqyeFGgGzInog8hnlV7egxblPgfWkjzEcaTFeq%2B02v%2FInBZRFtHi8s6MFhUT%2ByDcRUbpG9Wjw5KvvLAhAI7%2FvwJrInYKbBUWrMyQJ9GumeHgLcPeHuPv7LNKPlmp"}],"group":"cf-nel","max_age":604800}'
      Nel:
      - '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}'
      Expect-Ct:
      - max-age=86400, enforce
      Referrer-Policy:
      - same-origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
      Server:
      - cloudflare
      Cf-Ray:
      - 91707c80bae451f8-GRU
      Alt-Svc:
      - h3=":443"; ma=86400
      Server-Timing:
      - cfL4;desc="?proto=TCP&rtt=17083&min_rtt=16714&rtt_var=5029&sent=5&recv=7&lost=0&retrans=0&sent_bytes=2799&recv_bytes=1023&delivery_rate=167444&cwnd=245&unsent_bytes=0&cid=0a9c2f4aea192dec&ts=475&x=0"
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAx2MSwqEMBBErxJ7reBs3XoMZ5BGyw9k7NCdCCLe3eiuql7xTpIApYaCWKSSFCZJB+RlYh/ZqhnKPpO/zUZNdz4h03bhHW6E4wFm4tZt/6a6xsevIxf5H4/wWKAqStevJN6O/m39a4iacN3IQAbqfwAAAA==
    http_version: 
  recorded_at: Wed, 01 Mar 2017 00:00:43 GMT
recorded_with: VCR 3.0.0
